"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
class Configurer {
    constructor() {
        this.setupOptions();
    }
    setupOptions() {
        const version = '1.1.0';
        program
            .version(version, '-v, --version')
            .allowUnknownOption()
            .option('-a, --analysis [analysis]', 'Select folder to analyse')
            .option('-o, --output [output]', 'Select folder to output')
            .parse(process.argv);
    }
    fetchData() {
        const analysis = program.analysis || '';
        const output = program.output || '';
        return {
            analysisFolder: analysis,
            outputFolder: output
        };
    }
}
exports.Configurer = Configurer;
//# sourceMappingURL=configurer.js.map